# Mapping Table Test Makefile -- Miles V. Aronnax
#   Need CC=a c compiler, FC=a fortran 90+ compiler
CC=gcc
FC=gfortran42

default: mapsetup.o test.f
	${FC} -ffree-form -fno-underscoring -o test test.f mapsetup.o

# nm mapsetup.o is informational. It dumps the list of symbols in the .o file.
mapsetup.o: mapsetup.c
	${CC} -c mapsetup.c
	nm mapsetup.o

clean: 
	rm -f *.o *.mod *.core test


